Subject: Re: [Asrg] 'GIEIS' - The Fifth Response

From: "Mark McCarron" <[email-masked]>
Date: Sat, 05 Jul 2003 03:14:53 +0000

Thankyou for your comments.  My comments are in the body of the message 
below.  This post refers to the 'GIEIS' system currently at version 0.003.  
An update was carried out on the next 4th July 2003.  Datails of the 'CAA' 
have be released as well as details regarding the 'CICFS' filtration system. 
  'GIEIS' has an extensive list of systems to be added and they will appear 
as soon as the documentation can be written.

The 'GIEIS' system can be viewed here at:

http://homepage.ntlworld.com/giza.necropolis

Mark McCarron.

>From: Steven F Siirila <[email-masked]>
>To: Mark McCarron <[email-masked]>
>CC: [email-masked]
>Subject: Re: [Asrg] 'GIEIS' - The Fifth Response
>Date: Fri, 4 Jul 2003 19:14:47 -0500
>
>On Fri, Jul 04, 2003 at 08:45:47PM +0000, Mark McCarron wrote:
> > >> >
> > >> >So would simply requiring reverse DNS as well as a record indicating
> > >> >whether
> > >> >or not an IP address has been designated as an MTA.  This would make
> > >all of
> > >> >the open proxies, hacked desktops, and dynamic IP ranges unable to 
>send
> > >> >mail
> > >> >directly to a site's MX server, forcing them to use an ISP's SMTP
> > >gateway.
> > >> >What you would have left is legitimate MTAs (some of which may be 
>open
> > >> >relays).
> > >> >This is essentially where we are headed at our site by putting these
> > >sorts
> > >> >of
> > >> >things into place gradually.
> > >> >--
> > >>
> > >>
> > >> Marl's Response:
> > >>
> > >> I am afraid that would not work.  Spammers would just use lists of
> > >> resolvable domain names.  Also, some form of centralisation would be
> > >> required to maintain the list you describe.  Another problem would 
>arise
> > >> from sending authorisation requests cleartext over the Internet, 
>these
> > >> could be intercepted and responded to allowing spammers access.  This 
>is
> > >> exactly what 'GIEIS' architecture eliminates completely.
> > >
> > >The centralization you refer to is easily accomplished via DNS records.
> > >"Authorization" is accomplished via simple DNS lookups much the same as
> > >we currently use DNSbl lists already today.
> > >--
> >
> >
> > Mark's Response:
> >
> > I'm afraid that is not a secure method.  Firstly, I can alter the haeder 
>of
> > email messages to reflect any domain.  You could quite happily look me 
>up
> > in all the DNS records you liked and I would be authorised every time.
> > Also, communications between servers is an insecure element in this
> > structure.  This can be intercepted an modified at run-time, thus 
>allowing
> > access.  Only 'GIEIS' secures against these methods, spoofing is 
>impossible.
>
>You apparently have no clue about what I've been talking about, instead
>choosing to promote your product.  Of course headers are forgeable.
>Never once did I talk about headers.  I believe others on this list know
>exactly what I'm talking about, so there is no point to continuing this
>thread any further.

Mark's Response:

I know that it can be bypassed without to much effort. :)

Mark McCarron
http://homepage.ntlworld.com/giza.necropolis

_________________________________________________________________
Stay in touch with absent friends - get MSN Messenger 
http://www.msn.co.uk/messenger

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg